%define major   5
%define libname %mklibname modbus %{major}
%define devname %mklibname modbus -d

Name:           libmodbus
Version:        3.1.11
Release:        %mkrel 2
Summary:        Modbus Library
License:        LGPL-2.1-or-later
Group:          System/Libraries
URL:            https://libmodbus.org/
Source:         https://github.com/stephane/libmodbus/releases/download/v%{version}/libmodbus-%{version}.tar.gz
Patch0:         libmodbus-revert-CFLAGS-changes.patch
BuildRequires:  asciidoc
BuildRequires:  xmlto

%description
libmodbus is a free software library to send/receive data with a device which
respects the Modbus protocol. This library can use a serial port or an Ethernet
connection.

The functions included in the library have been derived from the Modicon Modbus
Protocol Reference Guide which can be obtained from Schneider.

%package -n %{libname}
Summary:        Modbus Library
Group:          System/Libraries

%description -n %{libname}
libmodbus is a free software library to send/receive data with a device which
respects the Modbus protocol. This library can use a serial port or an Ethernet
connection.

The functions included in the library have been derived from the Modicon Modbus
Protocol Reference Guide which can be obtained from Schneider.

%package -n %{devname}
Summary:        Development Files for Modbus Library
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       modbus-devel = %{version}-%{release}

%description -n %{devname}
libmodbus is a free software library to send/receive data with a device which
respects the Modbus protocol. This library can use a serial port or an Ethernet
connection.

The functions included in the library have been derived from the Modicon Modbus
Protocol Reference Guide which can be obtained from Schneider.

%prep
%autosetup -p1

%build
%configure \
	--docdir=%{_docdir}/%{name} \
	--disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

# Installed by %%doc
rm %{buildroot}%{_docdir}/%{name}/{AUTHORS,NEWS,README.md}

%files -n %{libname}
%license COPYING.LESSER
%doc AUTHORS NEWS README.md
%{_libdir}/libmodbus.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/modbus/
%{_libdir}/libmodbus.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 3.1.11-2.mga10
+ Revision: 2229632
- Mageia 10 Mass Rebuild

* Sat Oct 26 2024 daviddavid <daviddavid> 3.1.11-1.mga10
+ Revision: 2111237
- new version: 3.1.11

* Sun Feb 11 2024 daviddavid <daviddavid> 3.1.10-1.mga10
+ Revision: 2040426
- initial package libmodbus

